Bug 243950 - User Agent for 2.0 is sending 1.5 version
User Agent for 2.0 is sending 1.5 version
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Depends On:
  Show dependency treegraph
Reported: 2007-06-12 18:01 EDT by Michael Cronenworth
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-28 12:56:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Cronenworth 2007-06-12 18:01:44 EDT
Description of problem: User agent being sent in new e-mails from Thunderbird is showing up as

Version-Release number of selected component (if applicable):

How reproducible: Always

Actual results: User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:
Gecko/20060614 Fedora/ Thunderbird/ Mnenhy/

Expected results: User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US;
rv: Gecko/20060614 Fedora/ Thunderbird/ Mnenhy/
Comment 1 Andre Robatino 2007-06-13 00:58:07 EDT
  Not only is it reporting, but fc5 as well.  Did you do a local upgrade
from FC5 to F7?  Thunderbird isn't on the F7 DVD so it couldn't have been
upgraded if that's the case.  Double-check which version you have installed.
Comment 2 Michael Cronenworth 2007-06-13 01:13:08 EDT
rpm -q thunderbird results only in one line returned...

The machine I am reporting about started as a FC4 machine and I have upgraded it
over the years using solely yum.

On another Fedora 7 machine, which was originally a FC6 DVD install (no previous
FC had been installed) I am seeing the exact same User Agent being sent out in
e-mails. The fc5 tag is also present.
Comment 3 Gianluca Varisco 2007-06-13 03:06:17 EDT
I can't reproduce this; My thunderbird- User-agent is: 
Thunderbird (X11/20070419)

Can you try to do these steps?

- "Tools -> Options -> Advanced -> General -> Config Editor (button)"
- Search and paste here the values of these variables:
general.useragent.extra.thunderbird, general.useragent.vendorSub

Thank you for taking the time to report this bug. 
Comment 4 Michael Cronenworth 2007-06-13 09:16:07 EDT
general.useragent.extra.thunderbird: Thunderbird/

The strange thing is that I have a setting of general.useragent.override set to... 
Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20060614
Fedora/ Thunderbird/ Mnenhy/

I'm wondering if one of my extensions set this? I will investigate a little
further when I have some time tonight.
Comment 5 Gianluca Varisco 2007-06-13 12:34:07 EDT
OK, if you want to report here the list of your extensions maybe we can help you.
Comment 6 Michael Cronenworth 2007-06-14 09:12:08 EDT
OK, I haven't had time to backup my profile and start a new one to see if the
User Agent gets modified, so here are my extensions.

Change quote and reply format
Display Mail User Agent Extension
Lightning 0.5
Lightning Nightly Updater (unofficial)
Mailbox Alert (currently disabled)
Maximize Message Pane
No New Window on Double Click
Signature Switch
Comment 7 Michael Cronenworth 2007-06-28 12:51:33 EDT
I would feel OK if you guys want to close this... I feel it is not a Thunderbird
issue related to Fedora in any way. I deleted the option in my about:config and
my User Agent is set correctly.

I haven't been able to track which extension caused this. I have a feeling it
was Mailbox Alert, which I no longer need anyway (thanks TB2.0).
Comment 8 Matěj Cepl 2007-06-28 12:56:35 EDT
Closing per reporter's request.

Note You need to log in before you can comment on or make changes to this bug.